Name:           dnstop
Version:        20110502
Release:        1%{?dist}
Summary:        Displays information about DNS traffic on your network
Group:          Applications/System
License:        BSD
URL:            http://dns.measurement-factory.com/tools/dnstop/
Source0:        http://dns.measurement-factory.com/tools/dnstop/src/dnstop-%{version}.tar.gz
Patch0:         dnstop-20090128_make-DATE.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpcap-devel
BuildRequires:  ncurses-devel


%description
dnstop is a libpcap application (ala tcpdump) that displays various
tables of DNS traffic on your network.

dnstop supports both IPv4 and IPv6 addresses.

To help find especially undesirable DNS queries, dnstop provides a
number of filters.

dnstop can either read packets from the live capture device, or from a
tcpdump savefile.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

sed -i \
  -e 's|^bindir=|bindir=$(DESTDIR)|' \
  -e 's|^mandir=|mandir=$(DESTDIR)|' \
  Makefile

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES
%{_bindir}/dnstop
%{_mandir}/man8/dnstop.8*


%changelog
* Sat Jul 16 2011 Conrad Meyer <konrad@tylerc.org> - 20110502-1
- Bump to latest upstream version.

* Fri Mar 25 2011 Niels de Vos <devos@fedoraproject.org> - 20090128-3
- Fiy Failed To Build From Source (#660807)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090128-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 24 2009 Conrad Meyer <konrad@tylerc.org> - 20090128-1
- Initial package.
